9e3f43d27b6a68e03d397daf84c6fd355971601f
 mediaportal/MediaPortal.sln                        | 383 +++++++++
 .../MiniDisplayLibrary/MiniDisplayLibrary.csproj   |  14 +
 .../API/Soundgraph/iMONDisplay.dll                 | Bin 0 -> 208896 bytes
 .../MiniDisplayPlugin/Drivers/ImonBase.cs          | 239 ++++++
 .../MiniDisplayPlugin/Drivers/ImonLcd.cs           | 918 +++++++++++++++++++++
 .../Drivers/ImonLcd_AdvancedSetupForm.Designer.cs  | 162 ++++
 .../Drivers/ImonLcd_AdvancedSetupForm.cs           |  41 +
 .../Drivers/ImonLcd_AdvancedSetupForm.resx         | 120 +++
 .../MiniDisplayPlugin/Drivers/ImonVfd.cs           |  42 +
 .../Drivers/iMONDisplayWrapper/Event.cpp           |  29 +
 .../Drivers/iMONDisplayWrapper/Event.h             |  27 +
 .../Drivers/iMONDisplayWrapper/IdwApi.cpp          | 247 ++++++
 .../Drivers/iMONDisplayWrapper/IdwApi.h            |  48 ++
 .../Drivers/iMONDisplayWrapper/IdwThread.cpp       | 745 +++++++++++++++++
 .../Drivers/iMONDisplayWrapper/IdwThread.h         |  63 ++
 .../Drivers/iMONDisplayWrapper/Mutex.cpp           |  24 +
 .../Drivers/iMONDisplayWrapper/Mutex.h             |  26 +
 .../Drivers/iMONDisplayWrapper/Thread.cpp          |  41 +
 .../Drivers/iMONDisplayWrapper/Thread.h            |  34 +
 .../Drivers/iMONDisplayWrapper/iMONDisplay.lib     | Bin 0 -> 6146 bytes
 .../Drivers/iMONDisplayWrapper/iMONDisplayAPI.h    | 163 ++++
 .../iMONDisplayWrapper/iMONDisplayDefines.h        | 114 +++
 .../iMONDisplayWrapper/iMONDisplayWrapper.cpp      | 106 +++
 .../iMONDisplayWrapper/iMONDisplayWrapper.h        |  48 ++
 .../iMONDisplayWrapper/iMONDisplayWrapper.rc       | 103 +++
 .../iMONDisplayWrapper/iMONDisplayWrapper.vcproj   | 255 ++++++
 .../iMONDisplayWrapper/iMONDisplayWrapper.vcxproj  | 118 +++
 .../iMONDisplayWrapper.vcxproj.filters             |  71 ++
 .../Drivers/iMONDisplayWrapper/resource.h          |  14 +
 .../MiniDisplayPlugin/Settings.cs                  |  10 +
 mediaportal/Setup/setup.nsi                        |   2 +
 31 files changed, 4207 insertions(+)

diff --git a/mediaportal/MediaPortal.sln b/mediaportal/MediaPortal.sln
index a2c7ec0..cb34bbf 100644
--- a/mediaportal/MediaPortal.sln
+++ b/mediaportal/MediaPortal.sln
@@ -71,6 +71,7 @@ Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MiniDisplayLibrary", "MiniD
 		{0A234721-1F13-4DF8-9B1E-64D9E3111203} = {0A234721-1F13-4DF8-9B1E-64D9E3111203}
 		{0A234721-1F13-4DF8-9B1E-64D9E3111203} = {0A234721-1F13-4DF8-9B1E-64D9E3111203}
 		{C1BCEC3E-6074-4328-B5D9-391A457C8FFB} = {C1BCEC3E-6074-4328-B5D9-391A457C8FFB}
+		{E1A2655B-02A2-437A-8270-4AD81DDDC502} = {E1A2655B-02A2-437A-8270-4AD81DDDC502}
 		{5B8BC37B-44EB-4736-8B27-0960F3E03822} = {5B8BC37B-44EB-4736-8B27-0960F3E03822}
 		{2B094D86-DD1A-4DDD-95D2-56A57E714C4E} = {2B094D86-DD1A-4DDD-95D2-56A57E714C4E}
 		{68168FAA-A363-4F64-981C-32629A537900} = {68168FAA-A363-4F64-981C-32629A537900}
